Steam for Linux > AMD Graphics Cards > トピックの詳細
Flaep 2012年12月18日 8時18分
Radeon X300 is useless with current driver. anyone got an idea?
Hi
iam currently trying to run TF2 with the open source driver.
Since AMD dropped diver support, x300 owner are stuck with the open source driver.
This driver doesnt support all OpenGL libaries.

i used this little hack to bypass the check for "GL_EXT_draw_buffers2".

The outcome is that TF2 starts but the window stays black.

the terminal meanwhile is spamming:
"Mesa: User error: GL_INVALID_ENUM in glDisable(GL_FRAMEBUFFER_SRGB)"

Is there anyway to install the old driver that support the hardware without installing an old kernel version? Or away to temporary use an old kernel with the an old driver?

I tried some xorg-edge packadges that fixed at least an error with

"GL_EXT_texture_compression_s3tc"

1-3 / 3 のコメントを表示
< >
Evil Penguin 2012年12月18日 8時30分 
That series doesn't support OpenGL 3.x (at the hardware level).
You won't be able to play TF2.
最近の変更はEvil Penguinが行いました; 2012年12月18日 8時31分
Letalis Sonus 2012年12月18日 8時32分 
sRGB framebuffers are part of OpenGL 3.0, this chip doesn't even fully supports OpenGL 2.1 (there's some texture extension that is not fully supported by hardware), so unless the hardware already had the required support back then you'll never be able to get this extension working - the fglrx driver does not magically enhance the hardware's abilities, OpenGL-wise the free driver *is* already feature complete for all R300-500 based cards (and quite fast as well).
最近の変更はLetalis Sonusが行いました; 2012年12月18日 8時33分
rudeboyskunk 2012年12月18日 16時18分 
basically, get a new video card and/or computer.
1-3 / 3 のコメントを表示
< >
ページ毎: 15 30 50